Skip to main content
GET
/
modules
/
{id}
Get module by ID
curl --request GET \
  --url https://staging.hdp.api.herodotus.cloud/modules/{id}
{
  "compilerVersion": "<string>",
  "createdAt": "<string>",
  "downloadsCount": 123,
  "id": "<string>",
  "isVerified": true,
  "name": "<string>",
  "publishedOnMarketplace": true,
  "updatedAt": "<string>",
  "usageCount": 123,
  "usersCount": 123,
  "abi": "<unknown>",
  "creatorUser": "<string>",
  "description": "<string>",
  "latestModuleVersionProgramHash": "<string>",
  "license": "<string>",
  "scarbToml": "<string>",
  "sourceCode": "<unknown>",
  "tags": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.herodotus.cloud/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string
required

The unique identifier of the module

Response

Module found

compilerVersion
string
required
createdAt
string
required
downloadsCount
integer<int64>
required
id
string
required
isVerified
boolean
required
name
string
required
publishedOnMarketplace
boolean
required
updatedAt
string
required
usageCount
integer<int64>
required
usersCount
integer<int64>
required
abi
any
creatorUser
string | null
description
string | null
latestModuleVersionProgramHash
string | null
license
string | null
scarbToml
string | null
sourceCode
any
tags
string[] | null